Triton Mobile SDK for Android 3.5.1 This is a custom android player made by Triton Digital

Loading...
Searching...
No Matches
Public Attributes | List of all members
com.tritondigital.net.streaming.proxy.Proxy.State Enum Reference

## Public Attributes
| NOT_RUNNING
| CONNECTING
| Initial state and received after a call to stop.
| SERVER_READY
| The client is connecting.
| RUNNING
| Proxy is ready to be connected to.
| STOPPING
| The application client connected to the localserver and the proxy is working to transfer the stream from the original source to the application client.
| ERROR
| The client or the server are stopping.

## Detailed Description

Represents the various states that the proxy could be in, depending on the state of both the client and the server. The typical sequence is

1. Initial state (`NOT_RUNNING`)
2. Client connects (`CONNECTING`)
3. Receives the minimal data from the client to be ready to use the local server (`SERVER_READY`)
4. The Media Player (or another application client) connects to the local server (`RUNNING`)
5. All disconnect when done (`NOT_RUNNING`)

## Member Data Documentation

## ◆ CONNECTING

com.tritondigital.net.streaming.proxy.Proxy.State.CONNECTING

Initial state and received after a call to stop.

Proxy is not entirely ready. Connecting to it may result in the server thread blocking during the generation of a response as all required data may not have been received yet.

## ◆ ERROR

com.tritondigital.net.streaming.proxy.Proxy.State.ERROR

The client or the server are stopping.

The Proxy is about to stop running.

## ◆ RUNNING

com.tritondigital.net.streaming.proxy.Proxy.State.RUNNING

Proxy is ready to be connected to.

Received after a call to start, when all data needed to generate responses without blocking has been received.

## ◆ SERVER_READY

com.tritondigital.net.streaming.proxy.Proxy.State.SERVER_READY

The client is connecting.

This is the first step of the proxy start, received after a call to start. he proxy stays in the state Connecting after its client connected until it has received enough data to switch to the mode SERVER_READY.

The documentation for this enum was generated from the following file:

- streamingproxy/src/main/java/com/tritondigital/net/streaming/proxy/Proxy.java